Method: notebooks.get

Gets a specific notebook.

HTTP request

GET https://notebook.googleapis.com/v1/{name=notebooks/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the notebook to retrieve. Format: notebooks/{notebook} It takes the form notebooks/{notebook}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Notebook.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/notebook
  • https://www.googleapis.com/auth/notebook.readonly

For more information, see the Authentication guide.